#!/usr/local/bin/perl

use warnings;
use strict;

my $version = '1.0';

if (@ARGV < 2) { usage(); }

my $logfile = shift @ARGV;
my $outfile = shift @ARGV;

open(LOGFILE, "<$logfile") || die "ERROR: Can't open input file '$logfile'\n";  
open(OUTFILE, ">$outfile") || die "ERROR: Can't open output file '$outfile'\n"; 

while (<LOGFILE>) {
	if (m/Map style name: (.+)/) {
		print OUTFILE $_;
	}
    if (m/ start new map line/) {
		print OUTFILE $_;
    } elsif (m/^ mapgroup/)  {
		print OUTFILE $_;
    } elsif (m/ color (\w+)/)  {
		print OUTFILE $_;
    } elsif (m/ color$/)  {
		print OUTFILE $_;
    } elsif (m/Your location is (.*?\.\d{2}), (.*?\.\d{2}), (.*?\.\d{2}).  Your/) {
		print OUTFILE $_;
    }
}

sub usage {
	print qq(Log Cleaner v$version by Rex 'SaintPeter' Schrader
Takes a raw logfile and strips out all of the lines that are not 
used by Mapper2.
	
	Usage:
		log_cleaner <raw_log.txt> <cleaned_log.txt>
		
);
exit(0);
}